Skip to content

Upload Document

Request

Uploads verification documents for review. You can upload multiple files at once.

A valid document must fulfil these requirements:

  • The document must be clear.
  • The document needs to be a .jpg, .png., or .pdf file type up to 10MB in size.
Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business).

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodymultipart/form-datarequired
filesstring, (binary)required

Path of the files to be uploaded.

Example:"@/Users/test/file.png"
documentTypestringrequired

Type of document being uploaded.

Read our guides on acceptable documents for each of the following:

  • Source of wealth - guide
  • Id Proof - guide
  • Address Proof - guide
  • Trading Address Proof - guide
  • Business Authorisation Letter - guide
Enum:"SOURCE_OF_WEALTH""ID_PROOF""ADDRESS_PROOF""TRADING_ADDRESS_PROOF""BUSINESS_AUTH_REP_PROOF_BY_AUTH_LETTER"
curl -i -X POST \
  'https://api.wise.com/2026Q3/profiles/{profileId}/verification-status/upload-document' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -F files=@/Users/test/file.png \
  -F documentType=SOURCE_OF_WEALTH

Responses

No Content - Document successfully uploaded.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content